// Recorder.h: interface for the CRecorder class.
//
// Coded by Henryk Cygert
// Gdynia 1999 Poland
// e-mail:hcygert@optix.pl
//
//////////////////////////////////////////////////////////////////////

#if !defined(__CRecorder)
#define __CRecorder

#include "DataInput.h"

class CRecorder : public CDataInput
{
public:
	virtual BOOL Open(DEK_CHANEL Mode);
	virtual BOOL Close();
	// przetwarza nastpny blok danych
	virtual DEK_STATUS ProcessNextBlock();
	
	CRecorder();
	virtual ~CRecorder();

// PRIVATE !!!
	void *m_ptr;
	DWORD m_ptrSize;
	void *m_buf1;
	void *m_buf2;
	DWORD m_clk;
private:
	DWORD m_hd;
	DWORD m_SmpSize;
};

#pragma comment(lib, "winmm.lib")

#endif // !defined(__CRecorder)
