// T2000CZ.h: interface for the CT2000CZ class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_T2000CZ_H__A4414961_9D21_11D3_81A9_E059BD34FE11__INCLUDED_)
#define AFX_T2000CZ_H__A4414961_9D21_11D3_81A9_E059BD34FE11__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "System.h"

class CT2000CZ : public CSystem
{
public:
	virtual DWORD ProcessData();
	virtual char * ProcessHeader();

	CT2000CZ(CAtariDekoder *dek, CDataInput *inp);
	virtual ~CT2000CZ();
private:
	BOOL ReadBlock(DWORD Size);
	WORD m_blkLoad;
	WORD m_blkLength;
	WORD m_blkRun;
};

#endif // !defined(AFX_T2000CZ_H__A4414961_9D21_11D3_81A9_E059BD34FE11__INCLUDED_)
