
#include <stdio.h>
#include <stdlib.h>
#include "DekoderXL.h"
#include "DekoderFM2XL.h"

bool ReadBlock(CAtariDekoder *dek, unsigned char *Dst, unsigned long Size) {
	DEK_RESULT res;
	unsigned long i,reply;
	unsigned char b;
	unsigned char suma=0;

	reply=100;
	dek->SetNextBlock();
	while(1) {
		for(i=0;i<Size;i++) {
 			res=dek->GetNextByte(&b);
			if(res != DEK_OK) break;
			Dst[i]=b;
			suma^=b;
		}
		if(i == 0) {
			dek->SetNextBlock();
			reply--;
			if(reply == 0) break;
			continue;
		}
		res=dek->GetNextByte(&b);
		break;
	}
	if(res == DEK_OK) {
		if(suma == b) {
			printf("Checksum O.K.\n");
			return true;
		} else printf("Checksum error\n");
	} else printf("Error decoding file\n");
	return false;
}

void main (void) {
	FILE *f;
	unsigned long Size;
	char *Buf;
#if 1
	CDekoderFM2XL	dek;
//	dek.m_Reverse = true;
	dek.m_SkipFirstBit = 1;
#else
	CDekoderXL		dek;
#endif
	unsigned char Rec[8192]={0}; // Destination buffer

	f=fopen("1.raw","rb");
	if(f) {
		fseek(f,0,SEEK_END);
		Size=ftell(f);
		fseek(f,0,SEEK_SET);
		if(Buf=(char *)malloc(Size)) {
			fread(Buf,Size,1,f);
			dek.SetBuffer((unsigned char*)Buf,Size);
// Header
			ReadBlock(&dek,Rec,16+2);
			printf("FOUND: '%s'\n",Rec+2);
// Block
			ReadBlock(&dek,Rec,3072+2);
			
			free(Buf);
		}
		fclose(f);
	}
}
