// AtariDekoder.h: interface for the CAtariDekoder class.
//
// Coded by Henryk Cygert
// Gdynia 1999 Poland
// e-mail:hcygert@optix.pl
//
//////////////////////////////////////////////////////////////////////

#if !defined (__AtariDekoder)
#define __AtariDekoder

#include "DekoderTypes.h"

class CAtariDekoder  
{
public:
	void SetBuffer(BYTE *Buffer, DWORD Size);

	virtual void SetNextBlock() {};
	virtual DEK_RESULT GetNextByte(BYTE *Byte) {return DEK_OK;};
	CAtariDekoder();
	virtual ~CAtariDekoder();

	// Reverse imput signal
	BYTE m_Reverse;
	BYTE m_SkipFirstBit;
protected:
	BYTE m_ActByte;
	BYTE m_ActBits;

	BYTE *m_InBuffer;
	BYTE *m_InEnd;
	BYTE *m_InPtr;

	DEK_FUNCTION  m_Func;

	BYTE m_FirstBit;
	BYTE NU[3];
};

#endif // !defined(__AtariDekoder)
