// DekoderXL.h: interface for the CDekoderXL class.
//
// Coded by Henryk Cygert
// Gdynia 1999 Poland
// e-mail:hcygert@optix.pl
//
//////////////////////////////////////////////////////////////////////

#if !defined(__CDekoderXL)
#define __CDekoderXL

#include "AtariDekoder.h"

class CDekoderXL : public CAtariDekoder
{
public:
	void SetNextBlock();
	DEK_RESULT GetNextByte(BYTE *Byte);
	CDekoderXL();
	virtual ~CDekoderXL();

private:
	DWORD	m_HiCntr;		// Licznik prbek wysokich
	DWORD	m_LoCntr;		// Licznik prbek niskich
	struct {
		BYTE vHiLevel;	// Poziom sygnau wysokiego do kryterium
		BYTE nLoader;	// Ilo prbek na loader
		BYTE nOne;		// Ilo prbek na jedynk
		BYTE nZero;	// Ilo prbek na zero
	} m_Config;
};

#endif // !defined(__CDekoderXL)
