// AtariDekoder.h: interface for the CAtariDekoder class.
//
// Coded by Henryk Cygert
// Gdynia 1999 Poland
// e-mail:hcygert@optix.pl
//
//////////////////////////////////////////////////////////////////////

#if !defined (__AtariDekoder)
#define __AtariDekoder

#include "DekoderTypes.h"

class CAtariDekoder  
{
public:
	void SetBuffer(unsigned char *Buffer, unsigned long Size);

	virtual void SetNextBlock() {};
	virtual DEK_RESULT GetNextByte(unsigned char *Byte) {return DEK_OK;};
	CAtariDekoder();
	virtual ~CAtariDekoder();

protected:
	unsigned char *m_InBuffer;
	unsigned char *m_InEnd;
	unsigned char *m_InPtr;

	DEK_FUNCTION  m_Func;

	unsigned char m_ActByte;
	unsigned char m_ActBits;

};

#endif // !defined(__AtariDekoder)
