// DekoderXL.h: interface for the CDekoderXL class.
//
// Coded by Henryk Cygert
// Gdynia 1999 Poland
// e-mail:hcygert@optix.pl
//
//////////////////////////////////////////////////////////////////////

#if !defined(__CDekoderXL)
#define __CDekoderXL

#include "AtariDekoder.h"

class CDekoderXL : public CAtariDekoder
{
public:
	void SetNextBlock();
	DEK_RESULT GetNextByte(unsigned char *Byte);
	CDekoderXL();
	virtual ~CDekoderXL();

private:
	unsigned long	m_HiCntr;		// Licznik prbek wysokich
	unsigned long	m_LoCntr;		// Licznik prbek niskich
	struct {
		unsigned char vHiLevel;	// Poziom sygnau wysokiego do kryterium
		unsigned char nLoader;	// Ilo prbek na loader
		unsigned char nOne;		// Ilo prbek na jedynk
		unsigned char nZero;	// Ilo prbek na zero
	} m_Config;
};

#endif // !defined(__CDekoderXL)
