// Recorder.h: interface for the CRecorder class.
//
// Coded by Henryk Cygert
// Gdynia 1999 Poland
// e-mail:hcygert@optix.pl
//
//////////////////////////////////////////////////////////////////////

#if !defined(__CRecorder)
#define __CRecorder

enum CR_CHANEL {
	CR_STEREO,
	CR_RIGHT,
	CR_LEFT,
};


class CRecorder  
{
public:
	unsigned char * GetNextBlock(DWORD *retSize);
	BOOL Stop();
	BOOL Start();

	BOOL SetBufferSize(DWORD SizeInBytes);
	DWORD GetBufferSize() {return m_size;};
	char *GetLastError() {return m_msg;}
	CRecorder();
	virtual ~CRecorder();

// PRIVATE !!!
	void *m_ptr;
	DWORD m_ptrSize;
	void *m_buf1;
	void *m_buf2;
	DWORD m_clk;
private:
	char m_msg[256];
	DWORD m_hd;
	DWORD m_size;
};

#pragma comment(lib, "winmm.lib")

#endif // !defined(__CRecorder)
